package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;

@Getter
public class BeanMandatberegning extends Bean {

    private String prognose = "0";
    private int stemmer;
    private int antall;
    private int antall_STDM_i_FY;
    private int antall_utj;
    private int restkvotient_utj;
    private int mandatrang_utj;
    private double siste_kvotient;
    private int siste_rang;
    private double neste_kvotient;
    private int neste_rang;

    public BeanMandatberegning(String valgtype, String valgdistriktnr, String partikode, String prognose) {
        super.setValgtype(valgtype);
        super.setValgdistriktnr(valgdistriktnr);
        super.setPartikode(partikode);
        this.prognose = prognose;
    }

    @Override
    public String getKey() {
        return makeKey(getValgtype(), getValgdistriktnr(), getPartikode(), getPrognose());
    }

    public static String makeKey(String valgtype, String valgdistriktnr, String partikode, String prognoseindikator) {
        return valgtype + valgdistriktnr + partikode + prognoseindikator;
    }
    
}

